Subject: [CCAMP] MDT meeting - YANG Data Model - December 8, 9:00-10:00 (CET)

From: Jonas Ahlberg <[email-masked]>
Date: Thu, 1 Dec 2016 15:59:17 +0000

Hi all,

This is the invite for the MDT meeting next week.

We've today resolved most of the open topics and we will now translate those conclusions into a concrete model proposal.
The plan is to have a complete model in place early next week in order to have an internal review at our next MDT meeting Dec 8.

The proposed agenda:

*         Review of updated model proposal

*         AOB

Working material can be shared with others than the design team on request.

Regards
/JonasA

.........................................................................................................................................
--> Join Skype Meeting<https://meet.ericsson.com/jonas.ahlberg/7QMDK8CV>
This is an online meeting for Skype for Business, the professional meetings and communications app formerly known as Lync.

Join by phone

+46107140000<tel:+46107140000,78968463%23> (Sweden)                   English (United States)
89925<tel:+89925,78968463%23> (Sweden)                   English (United States)

Find a local number<https://dialin.ericsson.com?id=78968463>

Conference ID: 78968463
Forgot your dial-in PIN?<https://dialin.ericsson.com> |Help<http://o15.officeredir.microsoft.com/r/rlidLync15?clid=1033&p1=5&p2=2009>

To join a Lync / Skype for Business meeting from an Ericsson standard video room, add 77 before the Conference ID (e.g. 771234567 where 1234567 is the conference ID).    To join from a video room outside of Ericsson add one of the domains after 77 and Conference ID (e.g. 771234567@ xxxx.ericsson.net, where xxxx=emea/apac/amcs).  For assistance contact the IT Service Desk.
[!OC([1033])!]
.........................................................................................................................................

---

From: Jonas Ahlberg <[email-masked]>
Date: Wed, 7 Dec 2016 14:17:20 +0000

Hi all,

I've updated the agenda so it now includes the open topics that remain to be sorted out before we can complete the draft model.

o   Default values

o   Mandatory leaves

o   Real-time PM counters & thresholds

o   TDM representation

o   Protection configuration

*         AOB

Regards
JonasA

From: Jonas Ahlberg
Sent: den 1 december 2016 16:59
To: 'LUIS MIGUEL CONTRERAS MURILLO' <[email-masked]>; 'Yemin (Amy' <[email-masked]>; [email-masked]' <[email-masked]>; [email-masked]' <[email-masked]>; 'Koji Kawada' <[email-masked]>; 'Ippei Akiyoshi ([email-masked]) ([email-masked])' <[email-masked]>; 'Xi Li' <[email-masked]>; 'Martin Skorupski (External' <[email-masked]>; [email-masked]' <[email-masked]>; 'Rahman, Akbar' <[email-masked]>
Cc: [email-masked]
Subject: MDT meeting - YANG Data Model - December 8, 9:00-10:00 (CET)

Hi all,

The proposed agenda:

*         AOB

Regards
/JonasA

Join by phone

Conference ID: 78968463

---

From: Jonas Ahlberg <[email-masked]>
Date: Thu, 8 Dec 2016 09:09:19 +0000

Hi all,

Some short notes from the meeting today.

o   Default values & mandatory leaves
Describe the behavior of a system where a leaf is not supported or is not configured. What does the standard say?
What's the behavior of the system in case of not defining a value? Do we need to state which leaves are mandatory? (Jonas/Xi)
                                RFC 6020 is a good starting point

o   Real-time PM counters & thresholds
Explained. Response via mail from team if they (marked yellow) should be included or not.
Explain use cases (Jonas)

o   TDM representation
Rely on RFC 7223 also for TDM connections/interfaces.
Include info in RLT enough to understand how many connections are supported and how much of the total RLT capacity is allocated to TDM (# of connections of various types). Amy & Jonas to propose.

Amy & Jonas to propose.

*         AOB

o   Planning:

?  Resolution of open topics & model proposal ready by next week.

?  Target a submission of an updated version of the model before the Christmas holidays.

Regards
JonasA

From: CCAMP [mailto:[email-masked]] On Behalf Of Jonas Ahlberg
Sent: den 7 december 2016 15:17
To: 'LUIS MIGUEL CONTRERAS MURILLO' <[email-masked]>; 'Yemin (Amy' <[email-masked]>; [email-masked]' <[email-masked]>; [email-masked]' <[email-masked]>; 'Koji Kawada' <[email-masked]>; 'Ippei Akiyoshi ([email-masked]) ([email-masked])' <[email-masked]>; 'Xi Li' <[email-masked]>; 'Martin Skorupski (External' <[email-masked]>; [email-masked]; Rahman, Akbar <[email-masked]>
Cc: [email-masked]
Subject: Re: [CCAMP] MDT meeting - YANG Data Model - December 8, 9:00-10:00 (CET)

Hi all,

o   Default values & mandatory leaves

o   TDM representation

*         AOB

Regards
JonasA

From: Jonas Ahlberg
Sent: den 1 december 2016 16:59
To: 'LUIS MIGUEL CONTRERAS MURILLO' <[email-masked]<mailto:[email-masked]>>; 'Yemin (Amy' <[email-masked]<mailto:[email-masked]>>; [email-masked]' <[email-masked]<mailto:[email-masked]>>; [email-masked]' <[email-masked]<mailto:[email-masked]>>; 'Koji Kawada' <[email-masked]<mailto:[email-masked]>>; 'Ippei Akiyoshi ([email-masked]<mailto:[email-masked]>) ([email-masked]<mailto:[email-masked]>)' <[email-masked]<mailto:[email-masked]>>; 'Xi Li' <[email-masked]<mailto:[email-masked]>>; 'Martin Skorupski (External' <[email-masked]<mailto:[email-masked]>>; [email-masked]' <[email-masked]<mailto:[email-masked]>>; 'Rahman, Akbar' <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: MDT meeting - YANG Data Model - December 8, 9:00-10:00 (CET)

Hi all,

The proposed agenda:

*         AOB

Regards
/JonasA

Join by phone

Conference ID: 78968463

---

From: t.petch <[email-masked]>
Date: Thu, 8 Dec 2016 11:27:52 +0000

----- Original Message -----
From: "Jonas Ahlberg" <[email-masked]>
Sent: Thursday, December 08, 2016 9:09 AM

Hi all,

o   Default values & mandatory leaves
Describe the behavior of a system where a leaf is not supported or is
not configured. What does the standard say?
What's the behavior of the system in case of not defining a value? Do we
need to state which leaves are mandatory? (Jonas/Xi)
                                RFC 6020 is a good starting point

<tp>

Well, NO, it is a dreadful starting point!

I cannot tell from the minutes who said this, but YANG is now V1.1,
RFC7950, and the changes from RFC6020 are manifold (see s.1.1) and some
are incompatible; there was much discussion about user and system
defined values and defaults (see also RFC6243 when using NETCONF) and I
have lost track of where this ended, but the new features of RFC7950
persuade me that YANG 1.0 is dead and it is V1.1 that everyone else will
be using and so its treatment of this is the only way to go.

I reckon I will need several weeks to get my mind around the changes
even though, or perhaps because, I track the discussions on the netmod
WG list:-(

Tom Petch

o   Real-time PM counters & thresholds
Explained. Response via mail from team if they (marked yellow) should be
included or not.
Explain use cases (Jonas)

o   TDM representation
Rely on RFC 7223 also for TDM connections/interfaces.
Include info in RLT enough to understand how many connections are
supported and how much of the total RLT capacity is allocated to TDM (#
of connections of various types). Amy & Jonas to propose.

*         AOB

o   Planning:

?  Target a submission of an updated version of the model before the
Christmas holidays.

Regards
JonasA

From: CCAMP [mailto:[email-masked]] On Behalf Of Jonas Ahlberg
Sent: den 7 december 2016 15:17
To: 'LUIS MIGUEL CONTRERAS MURILLO'
<[email-masked]>; 'Yemin (Amy'
<[email-masked]>; [email-masked]'
<[email-masked]>; [email-masked]'
<[email-masked]>; 'Koji Kawada' <[email-masked]>;
'Ippei Akiyoshi ([email-masked]) ([email-masked])'
<[email-masked]>; 'Xi Li' <[email-masked]>; 'Martin Skorupski
(External' <[email-masked]>; [email-masked];
Rahman, Akbar <[email-masked]>
Cc: [email-masked]
Subject: Re: [CCAMP] MDT meeting - YANG Data Model - December 8,
9:00-10:00 (CET)

Hi all,

I've updated the agenda so it now includes the open topics that remain
to be sorted out before we can complete the draft model.

o   TDM representation

*         AOB

Regards
JonasA

From: Jonas Ahlberg

---

From: Jonas Ahlberg <[email-masked]>
Date: Thu, 8 Dec 2016 12:45:26 +0000

Hi Tom,

Thanks for the update. It's appreciated.
As you suggest, we should use the info in RFC7950 & RFC6243 as the basis for our discussion about mandatory data nodes & default values.

Thanks
JonasA

-----Original Message-----
From: t.petch [mailto:[email-masked]] 
Sent: den 8 december 2016 12:28
To: Jonas Ahlberg <[email-masked]>; 'LUIS MIGUEL CONTRERAS MURILLO' <[email-masked]>; 'Yemin (Amy' <[email-masked]>; [email-masked]; [email-masked]; 'Koji Kawada' <[email-masked]>; [email-masked]; 'Xi Li' <[email-masked]>; 'Martin Skorupski (External' <[email-masked]>; [email-masked]; Rahman, Akbar <[email-masked]>
Cc: [email-masked]
Subject: Re: [CCAMP] MDT meeting - YANG Data Model - December 8, 9:00-10:00 (CET)

----- Original Message -----
From: "Jonas Ahlberg" <[email-masked]>
Sent: Thursday, December 08, 2016 9:09 AM

Hi all,

<tp>

I cannot tell from the minutes who said this, but YANG is now V1.1, RFC7950, and the changes from RFC6020 are manifold (see s.1.1) and some are incompatible; there was much discussion about user and system defined values and defaults (see also RFC6243 when using NETCONF) and I have lost track of where this ended, but the new features of RFC7950 persuade me that YANG 1.0 is dead and it is V1.1 that everyone else will be using and so its treatment of this is the only way to go.

I reckon I will need several weeks to get my mind around the changes even though, or perhaps because, I track the discussions on the netmod WG list:-(

Tom Petch

o   TDM representation

*         AOB

o   Planning:

Regards
JonasA

From: CCAMP [mailto:[email-masked]] On Behalf Of Jonas Ahlberg
Sent: den 7 december 2016 15:17
To: 'LUIS MIGUEL CONTRERAS MURILLO'
<[email-masked]>; 'Yemin (Amy'
<[email-masked]>; [email-masked]'
<[email-masked]>; [email-masked]'
<[email-masked]>; 'Koji Kawada' <[email-masked]>; 'Ippei Akiyoshi ([email-masked]) ([email-masked])'
<[email-masked]>; 'Xi Li' <[email-masked]>; 'Martin Skorupski (External' <[email-masked]>; [email-masked]; Rahman, Akbar <[email-masked]>
Cc: [email-masked]
Subject: Re: [CCAMP] MDT meeting - YANG Data Model - December 8,
9:00-10:00 (CET)

Hi all,

o   TDM representation

*         AOB

Regards
JonasA

From: Jonas Ahlberg